Subject: Do you like homemade soap, but don't have time to make it?

From: [email-masked] (soaplady)
Date: 9 Oct 1995 17:09:30 GMT

Hi I make homemade Soaps, Bath salts, Bath & Body oils and more.
All products are made with herbs and are 100 % natural and NO CHEMICALS
For a brochure e-mail your mailing address to [email-masked]
Thank you
Soaplady
COUNTRY HERBALS by Andrea